<?php 
namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "info",
 *   label = @Translation("Info")
 * )
 */

class ControlInfo extends ControlBase{
	public function get_type() {
		return 'info';
	}

	public function content_template(array $params = []) {
		$data = $params['data'] ?? null;

		$output = '<div class="field field__info">';
		$output .= '<p>'.$data['item']['title'].'</p>';
		$output .= '</div>';
	
		return $output;
	}
	public function get_default_settings() {
		return [
			'input_type' => 'info',
			'title' => '',
		];
	}
}