<?php

namespace Drupal\noahs_page_builder\Plugin\Widget;

use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;


/**
 * Widgets Interface.
 */
interface WidgetInterface  {
  /**
   * Run widget.
   *
   * @return array
   *   Render.
   */
  public function data();
  public function renderForm();
  public function renderContent($element, $content = null);


}
